# MS-Connector v1.2.1 Release vom 28.05.2021

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Erforderliche Anpassungen zur Integration in den ID Austria
  - Update auf eIDAS Ref. Impl. 2.5.0 (Implementiert eIDAS Spezifikation 1.2)
    https://ec.europa.eu/cefdigital/wiki/display/CEFDIGITAL/eIDAS-Node+version+2.5
  - Codestabilisierung 
  - Monitoring und HealthChecks Verbesserungen
  - Akutalisierung von Drittherstellerbibliotheken
  - Bugfix in Version 1.2.1
      - Möglichen Fehler in der Sprachauswahl via GUI behoben




### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.2.1. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.1.0 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an
2. Entpacken Sie das Releasepacket *ms_specific_connector-1.2.1-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.
3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers
4. Mit der Version 1.2.0 wurde die Konfiguration eine eine Minimalkonfiguration [`default_config.properties`](./../config/default_config.properties)  und eine in den MS-Connectorintegrierte Defaultkonfiguration aufgteilt. Die nachfolgende Aufzählung umfasst die neuen oder geänderten Konfigurationsparameter, beschreibt jedoch keine Aufteilung einer bestehenden Konfiguration in Minimal- und Defaultteil. Eine vollständige Beschreibung aller Konfigurationswerte finden Sie im Handbuch zum AT MS-Connector.
5. Update bestehender Dateien . Die nachfolgenden Dateien wurden geändert und erfordern eine Anpassung oder eine Übernahme dem Releasepacket, sofern die Anpassung nicht bereits durchgeführt wurde. Sofern die entsprechenden Datein an die bestehende Infrastruktur angepasst wurden so müssen diese Änderungen übernommen werden.
   - __MsConnectorPackage__/config/templates/error_message.html 
   - __MsConnectorPackage__/config/eIDAS/igniteSpecificCommunication.xml  
     Hinweis: Siehe auch Update-Hinweise zur EIDAS-Node v2.5
6. Erstellung neuer Dateien
   - _KeyStore für ID Austria AuthBlock:_ Erstellen eines KeyStore mit mit öffentlichem und privaten Schlüssel welcher für die JWS Signature des technischen ID Austria AuthBlocks verwendet werden soll.
7. Neue Konfigurationsparameter
   - *Allgemeine Konfiguration*
     - ```eidas.ms.core.configRootDir```
   - *ID Austria Umsetzung*
     - ```eidas.ms.auth.eIDAS.authblock.keystore.type```
     - ```eidas.ms.auth.eIDAS.authblock.keystore.path```
     - ```eidas.ms.auth.eIDAS.authblock.keystore.password```
     - ```eidas.ms.auth.eIDAS.authblock.key.alias```
     - ```eidas.ms.auth.eIDAS.authblock.key.password```
   - *Service-Provider Konfiguration Konfiguration*
     - ```eidas.ms.sp.x.newEidMode```
8. Gelöschte Konfigurationsparameter

   - ```authhandler.modules.bindingservice.bpk.target```
9. Neue optionale Konfigurationsparameter
   - *Allgemeine Konfiguration*
     - ```eidas.ms.core.logging.level.info.errorcodes```
   - *eIDAS Node Kommunikation*
     * ```eidas.ms.auth.eIDAS.node_v2.requesterId.useHashedForm```
     * ```eidas.ms.auth.eIDAS.node_v2.requesterId.lu.useStaticRequesterForAll```
   - *ID Austria Umsetzung*
     - ```eidas.ms.auth.eIDAS.eid.testidentity.default```
     - ```eidas.ms.auth.eIDAS.szrclient.eidasbind.mds.inject```
